Bug 57359 - Installer dies after package selection while probing the graphics interface.
Installer dies after package selection while probing the graphics interface.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-10 15:11 EST by Wayne Berthiaume
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Berthiaume 2001-12-10 15:11:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; RCN042099d)

Description of problem:
Get the following error messages when the installer probes the ia810 
interface on my Tyan Tomcat moterboard:
Gdk-CRITICAL**: file gdkwindow.c: line 716 (gdk_window_ref): assertion
`window != NULL' failed.
Gtk-CRITICAL**: file gtkstyle.c: line 515 (gtk_style_attach): 
assertion `window != NULL' failed.
This does not happen when using Red Hat 7.1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Select Xwindow, KDE, and GNOME packages; as well as, several others.
2.Hit the NEXT button to enter graphics setup.
3.
	

Actual Results:  See description.

Expected Results:  Enter graphics setup and contiune build.

Additional info:

I've had the same difficulty with a Data General AViiON server, but 
couldn't spend any time on it so we built it as a non-windows server.
Comment 1 Jeremy Katz 2001-12-12 15:05:03 EST
Do you get a traceback dialog prompting you to save the traceback information to
a floppy?  If so, could you please include this information as it is invaluable
in trying to determine what is going on.
Comment 2 Wayne Berthiaume 2001-12-13 12:33:32 EST
There is no traceback dialogue. It issues kills to all processes, umounts the 
install filesystems, then tells me it's safe to reboot the system. Is there a 
way for me to provide you with more diagnostic information? I'm using the 
default install path. Should I use "expert" and is there something I should be
doing while going through this selection. I've delved into Red Hat Linux 7.2
Bible and it has no pertinent information regarding trouble-shooting this type
of failure.
Thank you...
Comment 3 Michael Fulbright 2001-12-18 10:52:48 EST
Those gtk error messages are just warnings which should not cause the behavior
you are reporting.

Have you tried a text mode installation?
Comment 4 Brent Fox 2002-01-20 23:10:24 EST
Closing due to inactivity.  Please reopen if you have more information.

By the way, try booting the cd by typing 'text' and pressing enter.  Please
reopen this report if that workaround doesn't work.
Comment 5 Wayne Berthiaume 2002-01-28 11:11:57 EST
I've had to load RH 7.1 and install lk 2.4.13. Unfortunately, I have a project 
deadline to make and not ime to spend trouble-shooting this issue for you. I
would prefer it remains open. I have encountered the same problem on other
hardware platforms necessitating the use of RH 7.1 when 7.2 was preferred.
Comment 6 Brent Fox 2002-01-31 12:36:49 EST
I can't reproduce this behavior on my test machines.  If you don't have time to
try to help us troubleshoot the problem, we pretty much have zero chance of
fixing it.  It sounds to me like you could have a bad cd if you seeing the same
problem on multiple machines.  If you can't provide more information, we'll have
to close the bug as 'worksforme'.  

If you have the time, press <Ctrl><Alt><F4> when the crash occurs and see if
there are any kernel error messages related to the cdrom.
Comment 7 Wayne Berthiaume 2002-01-31 13:15:05 EST
If you suspect the CD you can send a replacement to:
Wayne Berthiaume
EMC Corp 
4400 Computer Dr
M/S F213
Westboro, MA  01580

I need to resolve a highly important problem with IDE before I can turn my 
attention back to this issue, but I do plan to return to it. The system I would 
use to bebug this issue is being used to debug the IDE issue. Once I've 
resolved it I can try anything you'd like me to try.
Comment 8 Brent Fox 2002-01-31 17:08:31 EST
Did you make the cd yourself or did you buy a retail copy?
Comment 9 Wayne Berthiaume 2002-02-01 09:35:32 EST
Purchased the Rad Hat Linux Professional Server set.
Comment 10 Brent Fox 2002-02-01 11:41:00 EST
Ok, so lets try do see if the cd's are good or not.  When the crash occurs,
press <Ctrl><Alt><F4> and see if there are any kernel error messages related to
the cdrom.  If there aren't any error messages reading the disc, then the
problem must be something else.

Comment 11 Brent Fox 2002-02-13 14:06:48 EST
Any more info here?
Comment 12 Wayne Berthiaume 2002-02-14 08:45:01 EST
No. I'm still trying to resolve an issue with the IDE mid-layer that causes us 
to lose DMA.
Comment 13 Wayne Berthiaume 2002-03-15 09:55:13 EST
Still working on the IDE problem. Add to that, I now have a network driver 
issue to investigate and security design issues. This problem only affects my 
ability to use the latest distribution on my development system. I'm still able 
to use RH 7.1 as a base then goto the latest 2.4 kernel to do my development 
work. Eventually, I may need to go to RH 7.2; unless, a 7.3 appears, then I'll 
try that one.
Comment 14 Michael Fulbright 2002-04-10 16:19:47 EDT
I would really recommend trying 7.2, or if you would like a preview of an
upcoming release, we just released a beta called 'Skipjack'.
Comment 15 Michael Fulbright 2002-05-06 14:27:52 EDT
Closing due to inactivity. Please reopen if there is new information regarding
the issue report.
Comment 16 Red Hat Bugzilla 2006-02-21 13:48:18 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.